Subject: Re: bug#43835: 28.0.50; auto-hscroll-mode/current-line + show-paren-mode + gnus-summary-mode = bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2020 10:08:23 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 06 Oct 2020 22:05:42 +0200
> 
> > Thanks, but having Gnus in the picture is too much.  Debugging
> > redisplay issues involved in these momentary movements is hard as it
> > is already.
> 
> I believe you, and I wish I could remove Gnus from the recipe

An alternative would be to figure out what display-related changes
made by Gnus in that buffer affect this.  Then we could use those
settings outside of Gnus to reproduce the issue.

> > Does the hscroll get restored if you type "M-x"?
> 
> As soon as I type `M-x' I see the line scroll left and the cursor at the
> end, and it remains like that

I'm not sure I understand: is that the correct display in this case?
If not, what is the correct display?

> but if I then type `C-g', the line scrolls back to the right and
> point is again not visible, as in step 8.

Weird...